X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

I need the latest version for a Mac Powerbook G4 running OS-X 10.4.11 and I cannot find older versions of Firefox on your website.

Posted

I need the latest version for a Mac Powerbook G4 running OS-X 10.4.11 and I cannot find older versions of Firefox on your website.

The last version I downloaded was Firefox 3.5.6, but I could never get it to work correctly, so I stuck with Netscape 9.0.0.5 for many of my web browsing needs. I now find needed websites are now not supporting this Netscape version, but I cannot find the version of Firefox that can run on my computer.

Additional System Details

Application

  • User Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X 10_4_11; en) AppleWebKit/533.19.4 (KHTML, like Gecko) Version/4.1.3 Safari/533.19.4

More Information

James
  • Top 25 Contributor
  • Moderator
437 solutions 3148 answers

As of Firefox 4.0 and newer it is Mac OSX 10.5+ and Intel that is required.

The last version from Mozilla to work on OSX 10.4 and also for PPC is Firefox 3.6.*

http://www.mozilla.com/en-US/firefox/all-older.html

There is also a third-party project for PPC users at http://www.floodgap.com/software/tenfourfox/ for Firefox 5.0 however the site has recently gone down.

Modified by James

Helpful Reply

THANK YOU!

BarbBB33 0 solutions 3 answers

I have the same problem, just want a version of Firefox 3.5 back. Where can I find that?

Gingerbread Man
  • Top 25 Contributor
224 solutions 927 answers

Helpful Reply

Firefox 3.5 is an antique version that is chock-full of security vulnerabilities.
Firefox 3.6 also contains security vulnerabilities; it stopped being supported on April 24.

If you can't run the latest version because your system doesn't meet the requirements, it's highly recommended that you use another browser that is secure. TenFourFox is a third-party build of Firefox that is kept up-to-date and runs on Mac OS X 10.4 and PowerPC Macs (as a side note, I've never seen the site go down; whatever problems James noticed 9 months ago must've been a fluke).

If your system can run the latest version, but you want to downgrade because you've experienced problems, please start a new thread and someone will try to help you.

If you understand the security risks but want to downgrade anyway,

BarbBB33 0 solutions 3 answers

OMG! Thank you so very much. I downloaded TenFour and all my bookmarks, my beloved Scrapbook are all intact. Thanks again and have a great day . . . I will!

BarbBB33 0 solutions 3 answers

Gingerbread Man ROCS!